Subject: Want to know what the real Russian girls love and warmth?

From: <[email-masked]>
Date: Sun, 10 Jan 2010 17:18:31 -0300

I sexual Russian blonde, want to see, come closer. Just one move to click